
package be.fgov.ehealth.insurability.core.v2;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * The "root"-type of the InsurabilityForPharmacistResponseType element.
 * 
 * <p>Java class for InsurabilityForPharmacistResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="InsurabilityForPharmacistResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Requested" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/&gt;
 *         &lt;element name="CareReceiver" type="{urn:be:fgov:ehealth:insurability:core:v2}CareReceiverType"/&gt;
 *         &lt;element name="Coverage" type="{urn:be:fgov:ehealth:insurability:core:v2}CoverageType" minOccurs="0"/&gt;
 *         &lt;element name="Verification" type="{urn:be:fgov:ehealth:insurability:core:v2}VerificationType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "InsurabilityForPharmacistResponseType", propOrder = {
    "requested",
    "careReceiver",
    "coverage",
    "verification"
})
public class InsurabilityForPharmacistResponseType {

    @XmlElement(name = "Requested")
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar requested;
    @XmlElement(name = "CareReceiver", required = true)
    protected CareReceiverType careReceiver;
    @XmlElement(name = "Coverage")
    protected CoverageType coverage;
    @XmlElement(name = "Verification")
    protected VerificationType verification;

    /**
     * Gets the value of the requested property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getRequested() {
        return requested;
    }

    /**
     * Sets the value of the requested property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setRequested(XMLGregorianCalendar value) {
        this.requested = value;
    }

    /**
     * Gets the value of the careReceiver property.
     * 
     * @return
     *     possible object is
     *     {@link CareReceiverType }
     *     
     */
    public CareReceiverType getCareReceiver() {
        return careReceiver;
    }

    /**
     * Sets the value of the careReceiver property.
     * 
     * @param value
     *     allowed object is
     *     {@link CareReceiverType }
     *     
     */
    public void setCareReceiver(CareReceiverType value) {
        this.careReceiver = value;
    }

    /**
     * Gets the value of the coverage property.
     * 
     * @return
     *     possible object is
     *     {@link CoverageType }
     *     
     */
    public CoverageType getCoverage() {
        return coverage;
    }

    /**
     * Sets the value of the coverage property.
     * 
     * @param value
     *     allowed object is
     *     {@link CoverageType }
     *     
     */
    public void setCoverage(CoverageType value) {
        this.coverage = value;
    }

    /**
     * Gets the value of the verification property.
     * 
     * @return
     *     possible object is
     *     {@link VerificationType }
     *     
     */
    public VerificationType getVerification() {
        return verification;
    }

    /**
     * Sets the value of the verification property.
     * 
     * @param value
     *     allowed object is
     *     {@link VerificationType }
     *     
     */
    public void setVerification(VerificationType value) {
        this.verification = value;
    }

}
