
package be.fgov.ehealth.insurability.core.v2;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the be.fgov.ehealth.insurability.core.v2 package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.insurability.core.v2
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link SamlAttributeType }
     * 
     */
    public SamlAttributeType createSamlAttributeType() {
        return new SamlAttributeType();
    }

    /**
     * Create an instance of {@link InsurabilityForPharmacistRequestType }
     * 
     */
    public InsurabilityForPharmacistRequestType createInsurabilityForPharmacistRequestType() {
        return new InsurabilityForPharmacistRequestType();
    }

    /**
     * Create an instance of {@link InsurabilityForPharmacistResponseType }
     * 
     */
    public InsurabilityForPharmacistResponseType createInsurabilityForPharmacistResponseType() {
        return new InsurabilityForPharmacistResponseType();
    }

    /**
     * Create an instance of {@link CareReceiverIdType }
     * 
     */
    public CareReceiverIdType createCareReceiverIdType() {
        return new CareReceiverIdType();
    }

    /**
     * Create an instance of {@link CareReceiverType }
     * 
     */
    public CareReceiverType createCareReceiverType() {
        return new CareReceiverType();
    }

    /**
     * Create an instance of {@link CoverageType }
     * 
     */
    public CoverageType createCoverageType() {
        return new CoverageType();
    }

    /**
     * Create an instance of {@link PeriodType }
     * 
     */
    public PeriodType createPeriodType() {
        return new PeriodType();
    }

    /**
     * Create an instance of {@link EntitlementType }
     * 
     */
    public EntitlementType createEntitlementType() {
        return new EntitlementType();
    }

    /**
     * Create an instance of {@link ReturnInfoType }
     * 
     */
    public ReturnInfoType createReturnInfoType() {
        return new ReturnInfoType();
    }

    /**
     * Create an instance of {@link VerificationType }
     * 
     */
    public VerificationType createVerificationType() {
        return new VerificationType();
    }

    /**
     * Create an instance of {@link ReturnCodeType }
     * 
     */
    public ReturnCodeType createReturnCodeType() {
        return new ReturnCodeType();
    }

    /**
     * Create an instance of {@link CommonInputType }
     * 
     */
    public CommonInputType createCommonInputType() {
        return new CommonInputType();
    }

    /**
     * Create an instance of {@link RecordCommonInputType }
     * 
     */
    public RecordCommonInputType createRecordCommonInputType() {
        return new RecordCommonInputType();
    }

    /**
     * Create an instance of {@link RequestType }
     * 
     */
    public RequestType createRequestType() {
        return new RequestType();
    }

    /**
     * Create an instance of {@link OriginType }
     * 
     */
    public OriginType createOriginType() {
        return new OriginType();
    }

    /**
     * Create an instance of {@link PackageType }
     * 
     */
    public PackageType createPackageType() {
        return new PackageType();
    }

    /**
     * Create an instance of {@link LicenseType }
     * 
     */
    public LicenseType createLicenseType() {
        return new LicenseType();
    }

    /**
     * Create an instance of {@link PartyType }
     * 
     */
    public PartyType createPartyType() {
        return new PartyType();
    }

    /**
     * Create an instance of {@link CareProviderType }
     * 
     */
    public CareProviderType createCareProviderType() {
        return new CareProviderType();
    }

    /**
     * Create an instance of {@link IdType }
     * 
     */
    public IdType createIdType() {
        return new IdType();
    }

    /**
     * Create an instance of {@link NihiiType }
     * 
     */
    public NihiiType createNihiiType() {
        return new NihiiType();
    }

    /**
     * Create an instance of {@link ValueRefString }
     * 
     */
    public ValueRefString createValueRefString() {
        return new ValueRefString();
    }

    /**
     * Create an instance of {@link CommonOutputType }
     * 
     */
    public CommonOutputType createCommonOutputType() {
        return new CommonOutputType();
    }

    /**
     * Create an instance of {@link RecordCommonOutputType }
     * 
     */
    public RecordCommonOutputType createRecordCommonOutputType() {
        return new RecordCommonOutputType();
    }

}
