
package be.fgov.ehealth.insurability.core.v2;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * Information about the party. A party is rather general. some examples are a physical person by itself, a physical person working for an enterprise or an enterprise by itself
 * 
 * <p>Java class for PartyType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PartyType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="PhysicalPerson" type="{urn:be:fgov:ehealth:insurability:core:v2}IdType" minOccurs="0"/&gt;
 *         &lt;element name="Organization" type="{urn:be:fgov:ehealth:insurability:core:v2}IdType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PartyType", propOrder = {
    "physicalPerson",
    "organization"
})
public class PartyType {

    @XmlElement(name = "PhysicalPerson")
    protected IdType physicalPerson;
    @XmlElement(name = "Organization")
    protected IdType organization;

    /**
     * Gets the value of the physicalPerson property.
     * 
     * @return
     *     possible object is
     *     {@link IdType }
     *     
     */
    public IdType getPhysicalPerson() {
        return physicalPerson;
    }

    /**
     * Sets the value of the physicalPerson property.
     * 
     * @param value
     *     allowed object is
     *     {@link IdType }
     *     
     */
    public void setPhysicalPerson(IdType value) {
        this.physicalPerson = value;
    }

    /**
     * Gets the value of the organization property.
     * 
     * @return
     *     possible object is
     *     {@link IdType }
     *     
     */
    public IdType getOrganization() {
        return organization;
    }

    /**
     * Sets the value of the organization property.
     * 
     * @param value
     *     allowed object is
     *     {@link IdType }
     *     
     */
    public void setOrganization(IdType value) {
        this.organization = value;
    }

}
