
package be.fgov.ehealth.insurability.protocol.v2;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import be.fgov.ehealth.commons.protocol.v1.ResponseType;
import be.fgov.ehealth.insurability.core.v2.CommonOutputType;
import be.fgov.ehealth.insurability.core.v2.InsurabilityForPharmacistResponseType;
import be.fgov.ehealth.insurability.core.v2.RecordCommonOutputType;
import be.fgov.ehealth.insurability.core.v2.ReturnInfoType;
import be.fgov.ehealth.insurability.core.v2.SamlAttributeType;


/**
 * GetInsurabilityForPharmacistRequestType
 * 
 * <p>Java class for GetInsurabilityForPharmacistResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="GetInsurabilityForPharmacistResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:be:fgov:ehealth:commons:protocol:v1}ResponseType"&gt;
 *       &lt;sequence minOccurs="0"&gt;
 *         &lt;element name="CommonOutput" type="{urn:be:fgov:ehealth:insurability:core:v2}CommonOutputType"/&gt;
 *         &lt;element name="RecordCommonOutput" type="{urn:be:fgov:ehealth:insurability:core:v2}RecordCommonOutputType"/&gt;
 *         &lt;element name="ReturnInfo" type="{urn:be:fgov:ehealth:insurability:core:v2}ReturnInfoType"/&gt;
 *         &lt;element name="InsurabilityResponse" type="{urn:be:fgov:ehealth:insurability:core:v2}InsurabilityForPharmacistResponseType"/&gt;
 *         &lt;element name="ExtendedInformation" type="{urn:be:fgov:ehealth:insurability:core:v2}SamlAttributeType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "GetInsurabilityForPharmacistResponseType", propOrder = {
    "commonOutput",
    "recordCommonOutput",
    "returnInfo",
    "insurabilityResponse",
    "extendedInformation"
})
public class GetInsurabilityForPharmacistResponseType
    extends ResponseType
{

    @XmlElement(name = "CommonOutput")
    protected CommonOutputType commonOutput;
    @XmlElement(name = "RecordCommonOutput")
    protected RecordCommonOutputType recordCommonOutput;
    @XmlElement(name = "ReturnInfo")
    protected ReturnInfoType returnInfo;
    @XmlElement(name = "InsurabilityResponse")
    protected InsurabilityForPharmacistResponseType insurabilityResponse;
    @XmlElement(name = "ExtendedInformation")
    protected SamlAttributeType extendedInformation;

    /**
     * Gets the value of the commonOutput property.
     * 
     * @return
     *     possible object is
     *     {@link CommonOutputType }
     *     
     */
    public CommonOutputType getCommonOutput() {
        return commonOutput;
    }

    /**
     * Sets the value of the commonOutput property.
     * 
     * @param value
     *     allowed object is
     *     {@link CommonOutputType }
     *     
     */
    public void setCommonOutput(CommonOutputType value) {
        this.commonOutput = value;
    }

    /**
     * Gets the value of the recordCommonOutput property.
     * 
     * @return
     *     possible object is
     *     {@link RecordCommonOutputType }
     *     
     */
    public RecordCommonOutputType getRecordCommonOutput() {
        return recordCommonOutput;
    }

    /**
     * Sets the value of the recordCommonOutput property.
     * 
     * @param value
     *     allowed object is
     *     {@link RecordCommonOutputType }
     *     
     */
    public void setRecordCommonOutput(RecordCommonOutputType value) {
        this.recordCommonOutput = value;
    }

    /**
     * Gets the value of the returnInfo property.
     * 
     * @return
     *     possible object is
     *     {@link ReturnInfoType }
     *     
     */
    public ReturnInfoType getReturnInfo() {
        return returnInfo;
    }

    /**
     * Sets the value of the returnInfo property.
     * 
     * @param value
     *     allowed object is
     *     {@link ReturnInfoType }
     *     
     */
    public void setReturnInfo(ReturnInfoType value) {
        this.returnInfo = value;
    }

    /**
     * Gets the value of the insurabilityResponse property.
     * 
     * @return
     *     possible object is
     *     {@link InsurabilityForPharmacistResponseType }
     *     
     */
    public InsurabilityForPharmacistResponseType getInsurabilityResponse() {
        return insurabilityResponse;
    }

    /**
     * Sets the value of the insurabilityResponse property.
     * 
     * @param value
     *     allowed object is
     *     {@link InsurabilityForPharmacistResponseType }
     *     
     */
    public void setInsurabilityResponse(InsurabilityForPharmacistResponseType value) {
        this.insurabilityResponse = value;
    }

    /**
     * Gets the value of the extendedInformation property.
     * 
     * @return
     *     possible object is
     *     {@link SamlAttributeType }
     *     
     */
    public SamlAttributeType getExtendedInformation() {
        return extendedInformation;
    }

    /**
     * Sets the value of the extendedInformation property.
     * 
     * @param value
     *     allowed object is
     *     {@link SamlAttributeType }
     *     
     */
    public void setExtendedInformation(SamlAttributeType value) {
        this.extendedInformation = value;
    }

}
