
package be.fgov.ehealth.recipe.protocol.v4;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import be.fgov.ehealth.commons.protocol.v2.StatusResponseType;
import be.fgov.ehealth.insurability.protocol.v2.GetInsurabilityForPharmacistResponseType;
import be.fgov.ehealth.recipe.core.v4.SecuredContentType;


/**
 * <p>Java class for GetPrescriptionForExecutorResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="GetPrescriptionForExecutorResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:be:fgov:ehealth:commons:protocol:v2}StatusResponseType"&gt;
 *       &lt;sequence minOccurs="0"&gt;
 *         &lt;element name="SecuredGetPrescriptionForExecutorResponse" type="{urn:be:fgov:ehealth:recipe:core:v4}SecuredContentType"/&gt;
 *         &lt;element name="PrescriptionType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="GetInsurabilityForPharmacistResponse" type="{urn:be:fgov:ehealth:insurability:protocol:v2}GetInsurabilityForPharmacistResponseType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "GetPrescriptionForExecutorResponseType", propOrder = {
    "securedGetPrescriptionForExecutorResponse",
    "prescriptionType",
    "getInsurabilityForPharmacistResponse"
})
public class GetPrescriptionForExecutorResponseType
    extends StatusResponseType
{

    @XmlElement(name = "SecuredGetPrescriptionForExecutorResponse")
    protected SecuredContentType securedGetPrescriptionForExecutorResponse;
    @XmlElement(name = "PrescriptionType")
    protected String prescriptionType;
    @XmlElement(name = "GetInsurabilityForPharmacistResponse")
    protected GetInsurabilityForPharmacistResponseType getInsurabilityForPharmacistResponse;

    /**
     * Gets the value of the securedGetPrescriptionForExecutorResponse property.
     * 
     * @return
     *     possible object is
     *     {@link SecuredContentType }
     *     
     */
    public SecuredContentType getSecuredGetPrescriptionForExecutorResponse() {
        return securedGetPrescriptionForExecutorResponse;
    }

    /**
     * Sets the value of the securedGetPrescriptionForExecutorResponse property.
     * 
     * @param value
     *     allowed object is
     *     {@link SecuredContentType }
     *     
     */
    public void setSecuredGetPrescriptionForExecutorResponse(SecuredContentType value) {
        this.securedGetPrescriptionForExecutorResponse = value;
    }

    /**
     * Gets the value of the prescriptionType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPrescriptionType() {
        return prescriptionType;
    }

    /**
     * Sets the value of the prescriptionType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPrescriptionType(String value) {
        this.prescriptionType = value;
    }

    /**
     * Gets the value of the getInsurabilityForPharmacistResponse property.
     * 
     * @return
     *     possible object is
     *     {@link GetInsurabilityForPharmacistResponseType }
     *     
     */
    public GetInsurabilityForPharmacistResponseType getGetInsurabilityForPharmacistResponse() {
        return getInsurabilityForPharmacistResponse;
    }

    /**
     * Sets the value of the getInsurabilityForPharmacistResponse property.
     * 
     * @param value
     *     allowed object is
     *     {@link GetInsurabilityForPharmacistResponseType }
     *     
     */
    public void setGetInsurabilityForPharmacistResponse(GetInsurabilityForPharmacistResponseType value) {
        this.getInsurabilityForPharmacistResponse = value;
    }

}
