
package be.fgov.ehealth.insurability.core.v2;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * Everything that is an entity derives from this type. Enties are object that are distinguishable and have a name. This name isn't nesesary unique.
 * 
 * <p>Java class for AbstractIdType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AbstractIdType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:be:fgov:ehealth:insurability:core:v2}SelfRefType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Name" type="{urn:be:fgov:ehealth:insurability:core:v2}ValueRefString" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AbstractIdType", propOrder = {
    "name"
})
@XmlSeeAlso({
    PackageType.class,
    IdType.class
})
public abstract class AbstractIdType
    extends SelfRefType
{

    @XmlElement(name = "Name")
    protected ValueRefString name;

    /**
     * Gets the value of the name property.
     * 
     * @return
     *     possible object is
     *     {@link ValueRefString }
     *     
     */
    public ValueRefString getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     * 
     * @param value
     *     allowed object is
     *     {@link ValueRefString }
     *     
     */
    public void setName(ValueRefString value) {
        this.name = value;
    }

}
