
package be.fgov.ehealth.insurability.core.v2;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * Information about a care provider. This is a person or institution that provides health care service to persons.
 * 
 * <p>Java class for CareProviderType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="CareProviderType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Nihii" type="{urn:be:fgov:ehealth:insurability:core:v2}NihiiType"/&gt;
 *         &lt;element name="PhysicalPerson" type="{urn:be:fgov:ehealth:insurability:core:v2}IdType" minOccurs="0"/&gt;
 *         &lt;element name="Organization" type="{urn:be:fgov:ehealth:insurability:core:v2}IdType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CareProviderType", propOrder = {
    "nihii",
    "physicalPerson",
    "organization"
})
public class CareProviderType {

    @XmlElement(name = "Nihii", required = true)
    protected NihiiType nihii;
    @XmlElement(name = "PhysicalPerson")
    protected IdType physicalPerson;
    @XmlElement(name = "Organization")
    protected IdType organization;

    /**
     * Gets the value of the nihii property.
     * 
     * @return
     *     possible object is
     *     {@link NihiiType }
     *     
     */
    public NihiiType getNihii() {
        return nihii;
    }

    /**
     * Sets the value of the nihii property.
     * 
     * @param value
     *     allowed object is
     *     {@link NihiiType }
     *     
     */
    public void setNihii(NihiiType value) {
        this.nihii = value;
    }

    /**
     * Gets the value of the physicalPerson property.
     * 
     * @return
     *     possible object is
     *     {@link IdType }
     *     
     */
    public IdType getPhysicalPerson() {
        return physicalPerson;
    }

    /**
     * Sets the value of the physicalPerson property.
     * 
     * @param value
     *     allowed object is
     *     {@link IdType }
     *     
     */
    public void setPhysicalPerson(IdType value) {
        this.physicalPerson = value;
    }

    /**
     * Gets the value of the organization property.
     * 
     * @return
     *     possible object is
     *     {@link IdType }
     *     
     */
    public IdType getOrganization() {
        return organization;
    }

    /**
     * Sets the value of the organization property.
     * 
     * @param value
     *     allowed object is
     *     {@link IdType }
     *     
     */
    public void setOrganization(IdType value) {
        this.organization = value;
    }

}
