
package be.fgov.ehealth.insurability.core.v2;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * The "root"-type of the CareReceiverType element.
 * 
 * <p>Java class for CareReceiverType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="CareReceiverType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Ssin" type="{urn:be:fgov:ehealth:commons:core:v1}SsinType" minOccurs="0"/&gt;
 *         &lt;element name="RegNrWithMut" type="{urn:be:fgov:ehealth:insurability:core:v2}RegNrWithMutType" minOccurs="0"/&gt;
 *         &lt;element name="Mutuality" type="{urn:be:fgov:ehealth:insurability:core:v2}MutualityType" minOccurs="0"/&gt;
 *         &lt;element name="FirstName" type="{urn:be:fgov:ehealth:insurability:core:v2}FirstNameType" minOccurs="0"/&gt;
 *         &lt;element name="LastName" type="{urn:be:fgov:ehealth:insurability:core:v2}LastNameType" minOccurs="0"/&gt;
 *         &lt;element name="Birthday" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/&gt;
 *         &lt;element name="Deceased" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/&gt;
 *         &lt;element name="Sex" type="{urn:be:fgov:ehealth:insurability:core:v2}SexType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CareReceiverType", propOrder = {
    "ssin",
    "regNrWithMut",
    "mutuality",
    "firstName",
    "lastName",
    "birthday",
    "deceased",
    "sex"
})
public class CareReceiverType {

    @XmlElement(name = "Ssin")
    protected String ssin;
    @XmlElement(name = "RegNrWithMut")
    protected String regNrWithMut;
    @XmlElement(name = "Mutuality")
    protected String mutuality;
    @XmlElement(name = "FirstName")
    protected String firstName;
    @XmlElement(name = "LastName")
    protected String lastName;
    @XmlElement(name = "Birthday")
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar birthday;
    @XmlElement(name = "Deceased")
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar deceased;
    @XmlElement(name = "Sex")
    @XmlSchemaType(name = "string")
    protected SexType sex;

    /**
     * Gets the value of the ssin property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSsin() {
        return ssin;
    }

    /**
     * Sets the value of the ssin property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSsin(String value) {
        this.ssin = value;
    }

    /**
     * Gets the value of the regNrWithMut property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRegNrWithMut() {
        return regNrWithMut;
    }

    /**
     * Sets the value of the regNrWithMut property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRegNrWithMut(String value) {
        this.regNrWithMut = value;
    }

    /**
     * Gets the value of the mutuality property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMutuality() {
        return mutuality;
    }

    /**
     * Sets the value of the mutuality property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMutuality(String value) {
        this.mutuality = value;
    }

    /**
     * Gets the value of the firstName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFirstName() {
        return firstName;
    }

    /**
     * Sets the value of the firstName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFirstName(String value) {
        this.firstName = value;
    }

    /**
     * Gets the value of the lastName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLastName() {
        return lastName;
    }

    /**
     * Sets the value of the lastName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLastName(String value) {
        this.lastName = value;
    }

    /**
     * Gets the value of the birthday property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getBirthday() {
        return birthday;
    }

    /**
     * Sets the value of the birthday property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setBirthday(XMLGregorianCalendar value) {
        this.birthday = value;
    }

    /**
     * Gets the value of the deceased property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getDeceased() {
        return deceased;
    }

    /**
     * Sets the value of the deceased property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setDeceased(XMLGregorianCalendar value) {
        this.deceased = value;
    }

    /**
     * Gets the value of the sex property.
     * 
     * @return
     *     possible object is
     *     {@link SexType }
     *     
     */
    public SexType getSex() {
        return sex;
    }

    /**
     * Sets the value of the sex property.
     * 
     * @param value
     *     allowed object is
     *     {@link SexType }
     *     
     */
    public void setSex(SexType value) {
        this.sex = value;
    }

}
