
package be.fgov.ehealth.insurability.core.v2;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * The "root"-type of the CoverageType element.
 * 
 * <p>Java class for CoverageType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="CoverageType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Communicated" type="{http://www.w3.org/2001/XMLSchema}date"/&gt;
 *         &lt;element name="Period" type="{urn:be:fgov:ehealth:insurability:core:v2}PeriodType"/&gt;
 *         &lt;element name="Entitlement" type="{urn:be:fgov:ehealth:insurability:core:v2}EntitlementType"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CoverageType", propOrder = {
    "communicated",
    "period",
    "entitlement"
})
public class CoverageType {

    @XmlElement(name = "Communicated", required = true)
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar communicated;
    @XmlElement(name = "Period", required = true)
    protected PeriodType period;
    @XmlElement(name = "Entitlement", required = true)
    protected EntitlementType entitlement;

    /**
     * Gets the value of the communicated property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getCommunicated() {
        return communicated;
    }

    /**
     * Sets the value of the communicated property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setCommunicated(XMLGregorianCalendar value) {
        this.communicated = value;
    }

    /**
     * Gets the value of the period property.
     * 
     * @return
     *     possible object is
     *     {@link PeriodType }
     *     
     */
    public PeriodType getPeriod() {
        return period;
    }

    /**
     * Sets the value of the period property.
     * 
     * @param value
     *     allowed object is
     *     {@link PeriodType }
     *     
     */
    public void setPeriod(PeriodType value) {
        this.period = value;
    }

    /**
     * Gets the value of the entitlement property.
     * 
     * @return
     *     possible object is
     *     {@link EntitlementType }
     *     
     */
    public EntitlementType getEntitlement() {
        return entitlement;
    }

    /**
     * Sets the value of the entitlement property.
     * 
     * @param value
     *     allowed object is
     *     {@link EntitlementType }
     *     
     */
    public void setEntitlement(EntitlementType value) {
        this.entitlement = value;
    }

}
