
package be.fgov.ehealth.insurability.core.v2;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * The "root"-type of the EntitlementType element.
 * 
 * <p>Java class for EntitlementType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="EntitlementType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Code1" type="{urn:be:fgov:ehealth:insurability:core:v2}EntitlementCodeType"/&gt;
 *         &lt;element name="Code2" type="{urn:be:fgov:ehealth:insurability:core:v2}EntitlementCodeType"/&gt;
 *         &lt;element name="ThirdPartyPayerRegime" type="{urn:be:fgov:ehealth:insurability:core:v2}ThirdParytPayerRegimeType"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "EntitlementType", propOrder = {
    "code1",
    "code2",
    "thirdPartyPayerRegime"
})
public class EntitlementType {

    @XmlElement(name = "Code1", required = true)
    protected String code1;
    @XmlElement(name = "Code2", required = true)
    protected String code2;
    @XmlElement(name = "ThirdPartyPayerRegime", required = true)
    @XmlSchemaType(name = "string")
    protected ThirdParytPayerRegimeType thirdPartyPayerRegime;

    /**
     * Gets the value of the code1 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCode1() {
        return code1;
    }

    /**
     * Sets the value of the code1 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCode1(String value) {
        this.code1 = value;
    }

    /**
     * Gets the value of the code2 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCode2() {
        return code2;
    }

    /**
     * Sets the value of the code2 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCode2(String value) {
        this.code2 = value;
    }

    /**
     * Gets the value of the thirdPartyPayerRegime property.
     * 
     * @return
     *     possible object is
     *     {@link ThirdParytPayerRegimeType }
     *     
     */
    public ThirdParytPayerRegimeType getThirdPartyPayerRegime() {
        return thirdPartyPayerRegime;
    }

    /**
     * Sets the value of the thirdPartyPayerRegime property.
     * 
     * @param value
     *     allowed object is
     *     {@link ThirdParytPayerRegimeType }
     *     
     */
    public void setThirdPartyPayerRegime(ThirdParytPayerRegimeType value) {
        this.thirdPartyPayerRegime = value;
    }

}
