
package be.fgov.ehealth.insurability.core.v2;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * Enities that have a unique identification have this type. This identification is always issued by an authority. Only one of the child elements is required, the others are prohibited. In other words, this is actualy a xsd-choise,
 *         but this does not always translate so well in code. Therefore we decided to make it an sequence with all optional elements.
 *       
 * 
 * <p>Java class for IdType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="IdType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:be:fgov:ehealth:insurability:core:v2}AbstractIdType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Nihii" type="{urn:be:fgov:ehealth:insurability:core:v2}NihiiType" minOccurs="0"/&gt;
 *         &lt;element name="Ssin" type="{urn:be:fgov:ehealth:insurability:core:v2}ValueRefString" minOccurs="0"/&gt;
 *         &lt;element name="Cbe" type="{urn:be:fgov:ehealth:insurability:core:v2}ValueRefString" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "IdType", propOrder = {
    "nihii",
    "ssin",
    "cbe"
})
public class IdType
    extends AbstractIdType
{

    @XmlElement(name = "Nihii")
    protected NihiiType nihii;
    @XmlElement(name = "Ssin")
    protected ValueRefString ssin;
    @XmlElement(name = "Cbe")
    protected ValueRefString cbe;

    /**
     * Gets the value of the nihii property.
     * 
     * @return
     *     possible object is
     *     {@link NihiiType }
     *     
     */
    public NihiiType getNihii() {
        return nihii;
    }

    /**
     * Sets the value of the nihii property.
     * 
     * @param value
     *     allowed object is
     *     {@link NihiiType }
     *     
     */
    public void setNihii(NihiiType value) {
        this.nihii = value;
    }

    /**
     * Gets the value of the ssin property.
     * 
     * @return
     *     possible object is
     *     {@link ValueRefString }
     *     
     */
    public ValueRefString getSsin() {
        return ssin;
    }

    /**
     * Sets the value of the ssin property.
     * 
     * @param value
     *     allowed object is
     *     {@link ValueRefString }
     *     
     */
    public void setSsin(ValueRefString value) {
        this.ssin = value;
    }

    /**
     * Gets the value of the cbe property.
     * 
     * @return
     *     possible object is
     *     {@link ValueRefString }
     *     
     */
    public ValueRefString getCbe() {
        return cbe;
    }

    /**
     * Sets the value of the cbe property.
     * 
     * @param value
     *     allowed object is
     *     {@link ValueRefString }
     *     
     */
    public void setCbe(ValueRefString value) {
        this.cbe = value;
    }

}
