
package be.fgov.ehealth.insurability.core.v2;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * The "root"-type of the commonoutput element.
 * 
 * <p>Java class for InsurabilityForPharmacistRequestType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="InsurabilityForPharmacistRequestType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Date" type="{http://www.w3.org/2001/XMLSchema}date"/&gt;
 *         &lt;element name="RequestType" type="{urn:be:fgov:ehealth:insurability:core:v2}RequestTypeType"/&gt;
 *         &lt;element name="CareReceiver" type="{urn:be:fgov:ehealth:insurability:core:v2}CareReceiverIdType"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "InsurabilityForPharmacistRequestType", propOrder = {
    "date",
    "requestType",
    "careReceiver"
})
public class InsurabilityForPharmacistRequestType {

    @XmlElement(name = "Date", required = true)
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar date;
    @XmlElement(name = "RequestType", required = true)
    protected String requestType;
    @XmlElement(name = "CareReceiver", required = true)
    protected CareReceiverIdType careReceiver;

    /**
     * Gets the value of the date property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getDate() {
        return date;
    }

    /**
     * Sets the value of the date property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setDate(XMLGregorianCalendar value) {
        this.date = value;
    }

    /**
     * Gets the value of the requestType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRequestType() {
        return requestType;
    }

    /**
     * Sets the value of the requestType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRequestType(String value) {
        this.requestType = value;
    }

    /**
     * Gets the value of the careReceiver property.
     * 
     * @return
     *     possible object is
     *     {@link CareReceiverIdType }
     *     
     */
    public CareReceiverIdType getCareReceiver() {
        return careReceiver;
    }

    /**
     * Sets the value of the careReceiver property.
     * 
     * @param value
     *     allowed object is
     *     {@link CareReceiverIdType }
     *     
     */
    public void setCareReceiver(CareReceiverIdType value) {
        this.careReceiver = value;
    }

}
