
package be.fgov.ehealth.insurability.core.v2;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * The "root"-type of the VerificationType element.
 * 
 * <p>Java class for VerificationType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="VerificationType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="PaymentApproval" type="{urn:be:fgov:ehealth:insurability:core:v2}PaymentApprovalType" minOccurs="0"/&gt;
 *         &lt;element name="PaymentApprovalSeed" type="{urn:be:fgov:ehealth:insurability:core:v2}PaymentApprovalSeedType" minOccurs="0"/&gt;
 *         &lt;element name="InvoicingOfficeCheckDigit" type="{urn:be:fgov:ehealth:insurability:core:v2}InvoicingOfficeCheckDigitType"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "VerificationType", propOrder = {
    "paymentApproval",
    "paymentApprovalSeed",
    "invoicingOfficeCheckDigit"
})
public class VerificationType {

    @XmlElement(name = "PaymentApproval")
    protected String paymentApproval;
    @XmlElement(name = "PaymentApprovalSeed")
    protected String paymentApprovalSeed;
    @XmlElement(name = "InvoicingOfficeCheckDigit", required = true)
    protected String invoicingOfficeCheckDigit;

    /**
     * Gets the value of the paymentApproval property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPaymentApproval() {
        return paymentApproval;
    }

    /**
     * Sets the value of the paymentApproval property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPaymentApproval(String value) {
        this.paymentApproval = value;
    }

    /**
     * Gets the value of the paymentApprovalSeed property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPaymentApprovalSeed() {
        return paymentApprovalSeed;
    }

    /**
     * Sets the value of the paymentApprovalSeed property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPaymentApprovalSeed(String value) {
        this.paymentApprovalSeed = value;
    }

    /**
     * Gets the value of the invoicingOfficeCheckDigit property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInvoicingOfficeCheckDigit() {
        return invoicingOfficeCheckDigit;
    }

    /**
     * Sets the value of the invoicingOfficeCheckDigit property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInvoicingOfficeCheckDigit(String value) {
        this.invoicingOfficeCheckDigit = value;
    }

}
