
package be.fgov.ehealth.insurability.protocol.v2;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import be.fgov.ehealth.commons.protocol.v1.RequestType;
import be.fgov.ehealth.insurability.core.v2.CommonInputType;
import be.fgov.ehealth.insurability.core.v2.InsurabilityForPharmacistRequestType;
import be.fgov.ehealth.insurability.core.v2.RecordCommonInputType;
import be.fgov.ehealth.insurability.core.v2.SamlAttributeType;


/**
 * GetInsurabilityForPharmacistRequestType
 * 
 * <p>Java class for GetInsurabilityForPharmacistRequestType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="GetInsurabilityForPharmacistRequestType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:be:fgov:ehealth:commons:protocol:v1}RequestType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="CommonInput" type="{urn:be:fgov:ehealth:insurability:core:v2}CommonInputType"/&gt;
 *         &lt;element name="RecordCommonInput" type="{urn:be:fgov:ehealth:insurability:core:v2}RecordCommonInputType"/&gt;
 *         &lt;element name="InsurabilityRequest" type="{urn:be:fgov:ehealth:insurability:core:v2}InsurabilityForPharmacistRequestType"/&gt;
 *         &lt;element name="ExtendedInformation" type="{urn:be:fgov:ehealth:insurability:core:v2}SamlAttributeType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "GetInsurabilityForPharmacistRequestType", propOrder = {
    "commonInput",
    "recordCommonInput",
    "insurabilityRequest",
    "extendedInformation"
})
public class GetInsurabilityForPharmacistRequestType
    extends RequestType
{

    @XmlElement(name = "CommonInput", required = true)
    protected CommonInputType commonInput;
    @XmlElement(name = "RecordCommonInput", required = true)
    protected RecordCommonInputType recordCommonInput;
    @XmlElement(name = "InsurabilityRequest", required = true)
    protected InsurabilityForPharmacistRequestType insurabilityRequest;
    @XmlElement(name = "ExtendedInformation")
    protected SamlAttributeType extendedInformation;

    /**
     * Gets the value of the commonInput property.
     * 
     * @return
     *     possible object is
     *     {@link CommonInputType }
     *     
     */
    public CommonInputType getCommonInput() {
        return commonInput;
    }

    /**
     * Sets the value of the commonInput property.
     * 
     * @param value
     *     allowed object is
     *     {@link CommonInputType }
     *     
     */
    public void setCommonInput(CommonInputType value) {
        this.commonInput = value;
    }

    /**
     * Gets the value of the recordCommonInput property.
     * 
     * @return
     *     possible object is
     *     {@link RecordCommonInputType }
     *     
     */
    public RecordCommonInputType getRecordCommonInput() {
        return recordCommonInput;
    }

    /**
     * Sets the value of the recordCommonInput property.
     * 
     * @param value
     *     allowed object is
     *     {@link RecordCommonInputType }
     *     
     */
    public void setRecordCommonInput(RecordCommonInputType value) {
        this.recordCommonInput = value;
    }

    /**
     * Gets the value of the insurabilityRequest property.
     * 
     * @return
     *     possible object is
     *     {@link InsurabilityForPharmacistRequestType }
     *     
     */
    public InsurabilityForPharmacistRequestType getInsurabilityRequest() {
        return insurabilityRequest;
    }

    /**
     * Sets the value of the insurabilityRequest property.
     * 
     * @param value
     *     allowed object is
     *     {@link InsurabilityForPharmacistRequestType }
     *     
     */
    public void setInsurabilityRequest(InsurabilityForPharmacistRequestType value) {
        this.insurabilityRequest = value;
    }

    /**
     * Gets the value of the extendedInformation property.
     * 
     * @return
     *     possible object is
     *     {@link SamlAttributeType }
     *     
     */
    public SamlAttributeType getExtendedInformation() {
        return extendedInformation;
    }

    /**
     * Sets the value of the extendedInformation property.
     * 
     * @param value
     *     allowed object is
     *     {@link SamlAttributeType }
     *     
     */
    public void setExtendedInformation(SamlAttributeType value) {
        this.extendedInformation = value;
    }

}
