
package be.fgov.ehealth.insurability.protocol.v2;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the be.fgov.ehealth.insurability.protocol.v2 package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _GetInsurabilityForPharmacistRequest_QNAME = new QName("urn:be:fgov:ehealth:insurability:protocol:v2", "GetInsurabilityForPharmacistRequest");
    private final static QName _GetInsurabilityForPharmacistResponse_QNAME = new QName("urn:be:fgov:ehealth:insurability:protocol:v2", "GetInsurabilityForPharmacistResponse");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.insurability.protocol.v2
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link GetInsurabilityForPharmacistRequestType }
     * 
     */
    public GetInsurabilityForPharmacistRequestType createGetInsurabilityForPharmacistRequestType() {
        return new GetInsurabilityForPharmacistRequestType();
    }

    /**
     * Create an instance of {@link GetInsurabilityForPharmacistResponseType }
     * 
     */
    public GetInsurabilityForPharmacistResponseType createGetInsurabilityForPharmacistResponseType() {
        return new GetInsurabilityForPharmacistResponseType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetInsurabilityForPharmacistRequestType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link GetInsurabilityForPharmacistRequestType }{@code >}
     */
    @XmlElementDecl(namespace = "urn:be:fgov:ehealth:insurability:protocol:v2", name = "GetInsurabilityForPharmacistRequest")
    public JAXBElement<GetInsurabilityForPharmacistRequestType> createGetInsurabilityForPharmacistRequest(GetInsurabilityForPharmacistRequestType value) {
        return new JAXBElement<GetInsurabilityForPharmacistRequestType>(_GetInsurabilityForPharmacistRequest_QNAME, GetInsurabilityForPharmacistRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetInsurabilityForPharmacistResponseType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link GetInsurabilityForPharmacistResponseType }{@code >}
     */
    @XmlElementDecl(namespace = "urn:be:fgov:ehealth:insurability:protocol:v2", name = "GetInsurabilityForPharmacistResponse")
    public JAXBElement<GetInsurabilityForPharmacistResponseType> createGetInsurabilityForPharmacistResponse(GetInsurabilityForPharmacistResponseType value) {
        return new JAXBElement<GetInsurabilityForPharmacistResponseType>(_GetInsurabilityForPharmacistResponse_QNAME, GetInsurabilityForPharmacistResponseType.class, null, value);
    }

}
